/*------------------------------------------------------------
 * Gallery media
 *------------------------------------------------------------*/

.gallery {
	text-align: left;

	&--lightbox {
		a:hover {
			cursor: zoom-in;
		}
	}



	// Masonry Gallery
	&--masonry {
		padding: 0;
		.clearfix;

		body:not(.browser-ie) & {
			margin-left: -4px;
			margin-right: -6px;
			margin-top: -4px;
		}

		body:not(.browser-ie) .hygge-fullwidth & {
			margin-right: -8px;
		}

		.gallery-item {
			position: relative;
			max-width: 100%;
			margin: 0;
			padding: 0;
			padding: 4px;

			img {
				width: 100%;
			}

			.lightbox-icon {
				top: 20px;
				right: 20px;
				bottom: 20px;
				left: 20px;
			}
		}

		@media @tablet, @desktop {

			.gallery-item {
				float: left;
			}
		}

		.gallery-item {

			.gallery-columns-1& { min-width: 100%; }
			.gallery-columns-2& { min-width: 49.9%; }
			.gallery-columns-3& { min-width: 33.3%; }
			.gallery-columns-4& { min-width: 25%; }

			@media @tablet-v {
				// everything above 4cols is 33.3%
				width: 33.3%;

				.gallery-columns-2&,
				.gallery-columns-4& {
					width: 49.9%;
				}

				.sidebar--false .gallery-columns-4& {
					width: 25%;
				}
			}

			@media @tablet-h, @desktop {
				.gallery-columns-2& { width: 49.9%; }
				.gallery-columns-3& { width: 33.3%; }
				.gallery-columns-4& { width: 25%; }
				.gallery-columns-5& { width: 20%; }
				.gallery-columns-6& { width: 16.6%; }
				.gallery-columns-7& { width: 14.1%; }
				.gallery-columns-8& { width: 12.5%; }
				.gallery-columns-9& { width: 11%; }
				.gallery-columns-10&{ width: 10%; }
			}
		}
	}



	// Fluid Gallery (default)
	&--fluid {
		.clearfix;

		body:not(.browser-ie) & {
			margin-left: -4px;
			margin-right: -6px;
			margin-top: -4px;
		}

		body:not(.browser-ie) .hygge-fullwidth & {
			margin-right: -8px;
		}

		.gallery__items {

			.gallery-item {
				float: left;
				margin: 4px;
				box-sizing: content-box;
				position: relative;

				.gallery-icon {
					width: 100%;
					height: 100%;
				}

				img {
					display: block;
					width: auto;
					height: 100%;
					max-width: none;
				}
			}
		}
	}


	// Filmstrip Gallery
	&--filmstrip {
		margin-left: 0;
		margin-right: 0;

		max-height: 600px;
		overflow: hidden;

		&.processed {
			max-height: none;
		}

		.gallery__inwrap {
			@media @mobile, @tablet {
				overflow-x: scroll;
				padding-bottom: 20px;
			}
		}

		.gallery__items {
			overflow: hidden;
			white-space: nowrap;
		}

		.gallery-item {
			display: inline-block;
			float: none;
			min-width: 0;
			padding: 0;
			margin: 0;
			width: auto;

			& + .gallery-item {
				margin-left: 10px;
			}

			.gallery-icon {
				height: 100%;
			}

			img {
				max-height: 100%;
				width: auto;
			}
		}
	}
}
